JSword
  1. JSword
  2. JS-277

pom should specify junit is only required for testing

    Details

    • Type: Bug Bug
    • Status: Closed (View Workflow)
    • Priority: Trivial Trivial
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.0
    • Component/s: build
    • Labels:
      None

      Description

      Add
      <scope>test</scope>
      to junit dependency in pom otherwise an Android pom dependent on the jsword pom will attempt to package junit and hamcrest classes into the apk.

        Activity

        Hide
        DM Smith added a comment -

        I'm seeing the <scope>test</scope> within the junit dependency.

        Show
        DM Smith added a comment - I'm seeing the <scope>test</scope> within the junit dependency.

          People

          • Assignee:
            DM Smith
            Reporter:
            Martin Denham
          • Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved: